org.fourthline.cling.android

## Class AndroidUpnpServiceImpl.Binder

- java.lang.Object
- - android.os.Binder
  - - org.fourthline.cling.android.AndroidUpnpServiceImpl.Binder

- All Implemented Interfaces:
    android.os.IBinder, AndroidUpnpService
  Enclosing class:
    AndroidUpnpServiceImpl

      protected class AndroidUpnpServiceImpl.Binder
      extends android.os.Binder
      implements AndroidUpnpService

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.IBinder

      `android.os.IBinder.DeathRecipient`

  - ### Field Summary

    - ### Fields inherited from interface android.os.IBinder

      `DUMP_TRANSACTION, FIRST_CALL_TRANSACTION, FLAG_ONEWAY, INTERFACE_TRANSACTION, LAST_CALL_TRANSACTION, PING_TRANSACTION, TWEET_TRANSACTION`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AndroidUpnpServiceImpl.Binder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpnpService` | `get()`
    `UpnpServiceConfiguration` | `getConfiguration()`
    `ControlPoint` | `getControlPoint()`
    `Registry` | `getRegistry()`

    - ### Methods inherited from class android.os.Binder

      `attachInterface, clearCallingIdentity, dump, dump, dumpAsync, finalize, flushPendingCommands, getCallingPid, getCallingUid, getInterfaceDescriptor, isBinderAlive, joinThreadPool, linkToDeath, onTransact, pingBinder, queryLocalInterface, restoreCallingIdentity, transact, unlinkToDeath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndroidUpnpServiceImpl.Binder

          protected AndroidUpnpServiceImpl.Binder()

  - ### Method Detail

    - #### get

          public UpnpService get()

      Specified by:
        `get` in interface `AndroidUpnpService`
      Returns:
        The actual main instance and interface of the UPnP service.

    - #### getConfiguration

          public UpnpServiceConfiguration getConfiguration()

      Specified by:
        `getConfiguration` in interface `AndroidUpnpService`
      Returns:
        The configuration of the UPnP service.

    - #### getRegistry

          public Registry getRegistry()

      Specified by:
        `getRegistry` in interface `AndroidUpnpService`
      Returns:
        The registry of the UPnP service.

    - #### getControlPoint

          public ControlPoint getControlPoint()

      Specified by:
        `getControlPoint` in interface `AndroidUpnpService`
      Returns:
        The client API of the UPnP service.

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.